/*
 *                   jfjji,.           H A M M E R H E A D  S H A R K W A R E
 *                  ,#######EL:                  http://www.hhsw.de
 *                   .,j######Kj       
 *                    ;W########G:     This  code  is  free software; you can
 *                   j#####G ,D#L:     redistribute it and/or modify it under
 *             .,;;,G#####D.           the  terms  of  the GNU General Public
 *           jE##########G             License   as  published  by  the  Free
 *             .,W######D.             Software  Foundation; either version 2
 *             :L#####K##G             of  the  License,  or (at your option)
 *           .f#####G;.t##:            any later version.
 *         ;L###ELi.    ,D,            
 *       iEEGWj                        This  code  is distributed in the hope
 *      tW;                            that  it  will  be useful, but without
 *     jf                              any warranty; without even the implied
 *    .Kt                              warranty of merchantability or fitness
 *    i:                               for  a particular purpose. See the GNU
 *    ;                                General   Public   License   for  more
 *    .                                details (http://www.gnu.org).
 */
#include <string>

#include "Icon.hh"

using namespace bbdock;

/**
 * Initialize icon
 *
 * @param img - filename of image file
 * @param cmd - command to execute
 * @param wt - window title if application should run exclusively (optional)
 * @param it - idle time in miliseconds (optional)
 */
Icon::Icon( const char *img, const char *cmd, const char *wt, 
	unsigned int it ) :
	image( expand( img ) ),
	command( expand( cmd ) ),
	title( wt ? wt : "" ),
	exclusive( title.empty() ? false : true ),
	idletime( it  )
{
}

/**
 * Shell expansion
 *
 * @param path - path to expand
 */
std::string Icon::expand( std::string path ) const
{
	if( path[0] == '~' )
		path = getenv( "HOME" )+path.substr( 1 );

	return path;
}
